Not able to flash with cfclient python on ubuntu 18.04

Post here to get support
Post Reply
psatya
Beginner
Posts: 7
Joined: Wed Oct 09, 2013 1:37 am

Not able to flash with cfclient python on ubuntu 18.04

Post by psatya » Thu Sep 13, 2018 11:38 pm

I am working on autonomous flight with crazyflie 2.0. I am using ubuntu 18.04 and python.
I did the following:
git clone https://github.com/bitcraze/crazyflie-lib-python
sudo -H pip3 install -e .
Had to use Pip3 install cfclient to install the python-cfclient

mobile Crazyflie client is working
On the liux box -
I tested that basiclogSyync.py - is working
I tested ramp/py - is working.
But, flowsequenceSync.py did not work. The forum posts indicated that I may have to re-build the firmware with SENSOR=kalman
and flash the new build.

What is not working:
I do not see
(1) bin directory in the crazyflie-lib-python
nor crazyflie-firmware directory nor or tools to find the config.mk
to insert the SENSOR=kalman in the config.mk.

(2) cfclient does not have a connect->bootloader option because the cfclient does not have a menu at the top.
So, even if i re-make the firmware I won't be able to flash it.

Can you help me fix these issues?
Thanks,
Satya

Post Reply